import java.beans.*;
import java.io.*;
public class myXML_Reader 
{
    
    public myXML_Reader() 
    {
        
    }
    XMLDecoder d;
    
    public void Open(String InformedFilename) throws FileNotFoundException
    {
         d = new XMLDecoder(
                                new BufferedInputStream(
                                    new FileInputStream(InformedFilename+".xml")));
    }
    public Object ReadObject() throws FileNotFoundException
    {
       Object o = d.readObject();
       return o;
    }
    
    public void Close() throws FileNotFoundException
    {
       d.close();
    }

}
